petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSTrajectorySetDirname

Specify the name of the directory where disk checkpoints are stored.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetDirname(TSTrajectory tj,const char dirname[])

Collective on TSTrajectory

### Input Arguments

| tj | - the TSTrajectory context
| dirname | - the directory name

### Options Database Keys

-ts_trajectory_dirname -set the directory name

### Notes

The final location of the files is determined by dirname/filetemplate where filetemplate was provided by TSTrajectorySetFiletemplate()

### See Also

TSTrajectorySetFiletemplate(),TSTrajectorySetUp()

### Level

developer

### Location

src/ts/trajectory/interface/traj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages